Index: /trunk/SophyaPI/PIext/smakefile
===================================================================
--- /trunk/SophyaPI/PIext/smakefile	(revision 3404)
+++ /trunk/SophyaPI/PIext/smakefile	(revision 3405)
@@ -576,34 +740,49 @@
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
+  $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
   $(SOPHYAINCP)pifilechogen.h \
+  $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)piimage.h $(SOPHYAINCP)pieldrw.h \
+  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)piimage.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)pieldrw.h \
+  $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pi3dwdg.h \
+  $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pigraph3d.h piacmd.h \
   $(SOPHYAINCP)commander.h \
+  $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)ctimer.h pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
+  $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h pitvmaad.h \
+  $(SOPHYAINCP)resusage.h \
+  $(SOPHYAINCP)tvector.h pitvmaad.h \
+  $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)piyfxdrw.h \
   $(SOPHYAINCP)pisurfdr.h pipodrw.h \
-  $(SOPHYAINCP)histos2.h $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)hist2err.h pintuple.h pintup3d.h pigfd1.h \
-  pigfd2.h
+  $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)hist2err.h pintuple.h pintup3d.h \
+  $(SOPHYAINCP)pi3ddrw.h pigfd1.h \
+  $(SOPHYAINCP)generaldata.h pigfd2.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nobjmgr.cc
  
-$(SOPHYAOBJP)nomdvladapter.o: nomdvladapter.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h nomdvladapter.h nomgadapter.h \
-  $(SOPHYAINCP)ppersist.h \
+$(SOPHYAOBJP)nomdvladapter.o: nomdvladapter.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h nomdvladapter.h \
+  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -611,30 +790,40 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
-  $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
@@ -642,14 +831,19 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)generalfunc.h
+  $(SOPHYAINCP)generalfunc.h \
+  $(SOPHYAINCP)dvlist.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomdvladapter.cc
  
-$(SOPHYAOBJP)nomgadapter.o: nomgadapter.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h nomgadapter.h \
-  $(SOPHYAINCP)ppersist.h \
+$(SOPHYAOBJP)nomgadapter.o: nomgadapter.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -657,30 +851,40 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
-  $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
@@ -688,14 +892,18 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h \
   $(SOPHYAINCP)generalfunc.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomgadapter.cc
  
-$(SOPHYAOBJP)nomgfdadapter.o: nomgfdadapter.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h nomgfdadapter.h nomgadapter.h \
-  $(SOPHYAINCP)ppersist.h \
+$(SOPHYAOBJP)nomgfdadapter.o: nomgfdadapter.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h nomgfdadapter.h \
+  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -703,30 +911,40 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
-  $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
@@ -734,19 +952,27 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h \
   $(SOPHYAINCP)generalfunc.h pipodrw.h \
-  $(SOPHYAINCP)histos2.h $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)hist2err.h \
   $(SOPHYAINCP)objfitter.h \
-  $(SOPHYAINCP)cimage.h $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)hisprof.h
+  $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)hisprof.h \
+  $(SOPHYAINCP)generalfit.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomgfdadapter.cc
  
-$(SOPHYAOBJP)nomherradapter.o: nomherradapter.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h nomherradapter.h nomgadapter.h \
-  $(SOPHYAINCP)ppersist.h \
+$(SOPHYAOBJP)nomherradapter.o: nomherradapter.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h nomherradapter.h \
+  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -754,30 +980,40 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
-  $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
@@ -785,14 +1021,20 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h \
   $(SOPHYAINCP)generalfunc.h \
   $(SOPHYAINCP)histerr.h \
-  $(SOPHYAINCP)hist2err.h pihisto.h phistwrapper.h \
-  pihisto2d.h $(SOPHYAINCP)pimenux.h \
+  $(SOPHYAINCP)hist2err.h pihisto.h \
+  phistwrapper.h pihisto2d.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
+  $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
@@ -806,18 +1048,28 @@
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
+  $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pieldrw.h sohiswrap.h \
-  $(SOPHYAINCP)histos.h $(SOPHYAINCP)hisprof.h \
-  $(SOPHYAINCP)histos2.h pipodrw.h servnobjm.h nobjmgr.h \
+  $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)hisprof.h \
+  $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)pexceptions.h pipodrw.h \
+  servnobjm.h nobjmgr.h $(SOPHYAINCP)dvlist.h \
   dlftypes.h $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)zthread.h \
   $(SOPHYAINCP)objfitter.h \
-  $(SOPHYAINCP)cimage.h $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)hisprof.h \
+  $(SOPHYAINCP)generalfit.h \
   $(SOPHYAINCP)strutilxx.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomherradapter.cc
  
-$(SOPHYAOBJP)nomhistadapter.o: nomhistadapter.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h nomhistadapter.h nomgadapter.h \
-  $(SOPHYAINCP)ppersist.h \
+$(SOPHYAOBJP)nomhistadapter.o: nomhistadapter.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h nomhistadapter.h \
+  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -825,30 +1077,40 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
-  $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
@@ -856,20 +1118,30 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h \
   $(SOPHYAINCP)generalfunc.h \
-  $(SOPHYAINCP)histos.h $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)hisprof.h $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)hisprof.h \
+  $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)thsafeop.h pihisto.h phistwrapper.h \
-  sohiswrap.h $(SOPHYAINCP)histerr.h \
-  $(SOPHYAINCP)hist2err.h pihisto2d.h \
+  $(SOPHYAINCP)thsafeop.h pihisto.h \
+  phistwrapper.h sohiswrap.h \
+  $(SOPHYAINCP)histerr.h \
+  $(SOPHYAINCP)hist2err.h \
+  $(SOPHYAINCP)pexceptions.h pihisto2d.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
+  $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
@@ -883,11 +1155,18 @@
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)pieldrw.h pipodrw.h servnobjm.h nobjmgr.h \
-  dlftypes.h $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pieldrw.h pipodrw.h servnobjm.h \
+  nobjmgr.h $(SOPHYAINCP)dvlist.h dlftypes.h \
+  $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)zthread.h \
   $(SOPHYAINCP)strutilxx.h \
   $(SOPHYAINCP)objfitter.h \
-  $(SOPHYAINCP)cimage.h $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)hisprof.h \
+  $(SOPHYAINCP)generalfit.h \
   $(SOPHYAINCP)datatable.h \
+  $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)swppfdtable.h \
   $(SOPHYAINCP)swsegdb.h \
@@ -896,9 +1175,10 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomhistadapter.cc
  
-$(SOPHYAOBJP)nomimagadapter.o: nomimagadapter.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)datatype.h nomimagadapter.h nomgadapter.h \
-  $(SOPHYAINCP)ppersist.h \
+$(SOPHYAOBJP)nomimagadapter.o: nomimagadapter.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)datatype.h \
+  $(SOPHYAINCP)machdefs.h nomimagadapter.h \
+  nomgadapter.h $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -906,30 +1186,40 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
-  $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
@@ -937,12 +1227,19 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h \
   $(SOPHYAINCP)generalfunc.h \
-  $(SOPHYAINCP)cimage.h $(SOPHYAINCP)fioarr.h \
-  pimgadapter.h $(SOPHYAINCP)objfitter.h \
-  $(SOPHYAINCP)histos.h $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)hisprof.h
+  $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)fioarr.h pimgadapter.h \
+  $(SOPHYAINCP)objfitter.h \
+  $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)hisprof.h \
+  $(SOPHYAINCP)generalfit.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomimagadapter.cc
  
@@ -950,7 +1247,7 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)datatype.h nomskymapadapter.h nomgadapter.h \
-  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)datatype.h \
+  $(SOPHYAINCP)machdefs.h nomskymapadapter.h \
+  nomgadapter.h $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -958,30 +1255,40 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
-  $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
@@ -989,8 +1296,12 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h \
   $(SOPHYAINCP)generalfunc.h \
+  $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)pixelmap.h \
   $(SOPHYAINCP)spherepos.h \
@@ -998,8 +1309,11 @@
   $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)utilgeom.h $(SOPHYAINCP)skymap.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)datatype.h \
+  $(SOPHYAINCP)skymap.h \
   $(SOPHYAINCP)spherethetaphi.h \
   $(SOPHYAINCP)sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)pixelmap.h \
   $(SOPHYAINCP)spherehealpix.h \
   $(SOPHYAINCP)HEALPixUtils.h \
@@ -1010,4 +1324,5 @@
   $(SOPHYAINCP)fiolocalmap.h \
   $(SOPHYAINCP)fiosphereecp.h pitvmaad.h \
+  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)complexios.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomskymapadapter.cc
@@ -1015,6 +1330,71 @@
 $(SOPHYAOBJP)nomspecrespadapter.o: nomspecrespadapter.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h nomspecrespadapter.h \
+  $(SOPHYAINCP)machdefs.h nomspecrespadapter.h \
+  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)generalfit.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)generaldata.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)generalfunc.h \
+  $(SOPHYAINCP)specresp.h \
+  $(SOPHYAINCP)specrespvector.h \
+  $(SOPHYAINCP)specresp.h \
+  $(SOPHYAINCP)gaussfilt.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomspecrespadapter.cc
+ 
+$(SOPHYAOBJP)nomtarradapter.o: nomtarradapter.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)datatype.h \
+  $(SOPHYAINCP)machdefs.h nomtarradapter.h \
   nomgadapter.h $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -1023,30 +1403,40 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
-  $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
